Summary:	Radio plugin for the Xfce panel
Name:		xfce4-radio-plugin
Version:	0.4.2
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-radio-plugin
Source0:	http://goodies.xfce.org/releases/xfce4-radio-plugin/%{name}-%{version}.tar.gz
Requires:	xfce4-panel >= 4.4.2
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	perl(XML::Parser)
Obsoletes:	xfce-radio-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is an Xfce panel plugin which allows you to control your V4l radio device.
You can turn your radio on/off, tune it to some frequency and manage station
presets.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std 
 
%find_lang %{name}

%if %mdkversion < 200900
%post
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_icon_cache hicolor
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/xfce4/panel-plugins/*.desktop 
%{_libdir}/xfce4/panel-plugins/*


%changelog
* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-3mdv2010.1
+ Revision: 543435
- rebuild for mdv 2010.1

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.4.2-2mdv2010.0
+ Revision: 446108
- rebuild

* Thu Mar 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 358205
- update to new version 0.4.2

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-2mdv2009.1
+ Revision: 349476
- rebuild for xfce-4.6.0

* Mon Jan 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 331468
- update to new version 0.4.1

* Wed Dec 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 309815
- update to new version 0.4.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-2mdv2009.1
+ Revision: 295006
- rebuild for new Xfce4.6 beta1
- update to new version 0.3.1
- execute scriplets only for mdv older than 2009

* Sun Jun 15 2008 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2009.0
+ Revision: 219214
- New version 0.3.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.1-2mdv2008.1
+ Revision: 110130
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING, NEWS and INSTALL files
- add ChangeLog ot the docs
- use upstream name

* Sat Jun 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.1-1mdv2008.0
+ Revision: 40285
- new version

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-4mdv2008.0
+ Revision: 33239
- drop __libtoolize
- spec file clean
- add macros to %%post and %%postun

